- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Lists SkuGroups for the given parent.
HTTP request
GET https://commerceproducer.googleapis.com/v1beta/{parent=projects/*/locations/*}/skuGroups
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListSkuGroupsRequest |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum results to return. The service may return fewer than this value. The maximum value is 500; values above 500 will be coerced to 500. If unspecified, the server will default to the maximum. |
pageToken |
Optional. A page token, received from a previous list response message. Provide this to retrieve the subsequent page. When paginating, all other parameters of the list request must match the request that returned the page token. |
Request body
The request body must be empty.
Response body
Message for response to listing SkuGroups
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"skuGroups": [
{
object ( |
| Fields | |
|---|---|
skuGroups[] |
The list of SkuGroup |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
commerceproducer.skuGroups.list
For more information, see the IAM documentation.